require( "scripts/style.lua" );

MakeDialog
{
	FaderWindow
	{   
		wait=0,
		duration=100,
		fit = true,
		OptionsWindow
		{
			image = "backgrounds/popup_bg",
			x=311,
			y=230,
			fit=true,
			name="customoptions",
			Text
			{
				x = 20,
				y = 8,
				w = 372,
				h = 46,
				font = {
					oldsansblackFont,
					40,
					RedTextColor
				},
				label = "options2",
				flags = kVAlignCenter;
			},
			
			Text
			{
				x = 22,
				y = 69,
				w = 372,
				h = 46,
				font = {
					oldsansblackFont,
					20,
					BlackColor
				},
				label = "musicvolume",
			},
			
			Text
			{
				x = 22,
				y = 136,
				w = 372,
				h = 46,
				font = {
					oldsansblackFont,
					20,
					BlackColor
				},
				label = "soundvolume",
			},
			
			Text
			{
				x = 22,
				y = 217,
				w = 372,
				h = 46,
				font = {
					oldsansblackFont,
					20,
					BlackColor
				},
				label = "fullscreen",
			},	
			
			Button
			{
				name = "menufullscreen",
				type = kToggle,
				x=134,
				y=208,
				w=33,
				h=33,
				graphics = CheckboxButtonGraphics,
				command=
					function()
						if (not ToggleFullScreen()) then
							DisplayDialog
							{
							'scripts/error.lua', 
							title='nofullscreentitle', 
							message='nofullscreenmessage', 
							action=CloseWindow
							}
							CheckFullSetOn(true);
						end
						
					end
			},
			SetStyle( MenuButtonStyle ),
			Button
			{
				name = "menuok",
				x=247,
				y=258,
				w=133,
				h=25,
				graphics = MediumButton1Graphics,
				--MenuButtonLabel(55, 5, 53, 5, "ok", oldsansblackFont, 24, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),
				MenuButtonLabel(0, 0, 143, 32, "ok", oldsansblackFont, 24, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),
				close = true,
				command=
					function()
						SaveVolumes();			
					end
			},
			
			SetStyle(SliderStyle),
			Slider
			{
				name="musiclevelslider",
				x = 55,
				y = 94,
				w = 296.5,
			};
			
			Slider
			{
				name="sfxlevelslider",
				x = 55,
				y = 164,
				w = 296.5,
			};
		},	
	},

} -- MakeDialog
